Bug 165364 - SMP kernel does not honor boot parameter "noht"
SMP kernel does not honor boot parameter "noht"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks: 168424
  Show dependency treegraph
 
Reported: 2005-08-08 11:55 EDT by Vlady
Modified: 2013-08-05 21:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:21:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vlady 2005-08-08 11:55:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; FreeBSD i386; en-US; rv:1.7.8) Gecko/20050512 Firefox/1.0.4

Description of problem:
We have a system with 2 CPUs each of them with HT support.

We want to disable the hyper-threading (HT) support on the CPUs in order to prove/discard a theory about a lot of stopped processes (e.g. with status "T") we have on that system.

Since we do not have a physical access to the system, we can't disable the HT from the system's BIOS. We want to disable the HT support at kernel level. According to the Documentation/kernel-parameters.txt document, in the kernel source tree, this could be done with the "noht" kernel boot parameter.

We rebooted the system with this parameter set, e.g. with append="noht" in the lilo.conf, but when the system got back it was still with 4 logical CPUs recognized, e.g. the HT was not turned off.

When we run top or cat /proc/cpuinfo, we still see 4 CPUs -- they should be only 2.

The kernel doesn't honour the "noht" parameter!

Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-32.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1.Set the append in lilo.conf to contain the "noht" parameter, e.g. append="noht"
2.Reboot the system
3.Run top or cat /proc/cpuinfo
  

Actual Results:  The system continue to run with HT enabled/recognized on the CPUs.

Expected Results:  HT support should be turned off, according to the Documentation/kernel-parameters.txt document.

Additional info:

The actual record in the lilo.conf is the following:

image=/boot/vmlinuz-2.4.21-32.0.1.ELsmp
        label=linux-noht
        initrd=/boot/initrd-2.4.21-32.0.1.ELsmp.img
        read-only
        append="hda=ide-scsi root=LABEL=/ exec-shield=0 noht"
Comment 1 Ernie Petrides 2005-08-08 17:17:20 EDT
Did you run /sbin/lilo after modifying lilo.conf?
Comment 2 Vlady 2005-08-09 02:15:30 EDT
Of course YES :)

cat /proc/cmdline

auto BOOT_IMAGE=linux-noht ro BOOT_FILE=/boot/vmlinuz-2.4.21-32.0.1.ELsmp
hda=ide-scsi root=LABEL=/ exec-shield=0 noht

The machine should have HT turned off, but top and cat /proc/cpuinfo chow us 4
CPUs, instead of 2, as has to be.
Comment 3 Vlady 2005-08-10 06:31:08 EDT
Does someone work on this bug?
Comment 4 Peter Staubach 2005-08-10 09:12:35 EDT
Yes.  I am looking into this bug, as well as another RHEL-3 bug.  As soon as
I get some status, then I will post it.
Comment 5 Vlady 2005-08-10 09:14:12 EDT
Thanks, i look forward for a feedback from you.
Comment 6 Peter Staubach 2005-09-29 16:10:24 EDT
Reassigning to Jim Paradis who has much greater expertise in this.
Comment 7 Jim Paradis 2005-10-03 15:32:31 EDT
Could you post a dmesg log (use dmesg -s 65536 to get everything)?  I'd like to
see what the system thinks it's doing on startup.

RHEL3 for x86 should force ACPI CPU detection OFF when "noht" is specified,
falling back to the mptable.  Some mptable implementations have one entry per
logical processor, others have one entry per physical package or core.  I'd like
to see what yours is doing...
Comment 8 Vlady 2005-10-04 03:31:20 EDT
Linux version 2.4.21-32.0.1.ELsmp (bhcompile@bugs.build.redhat.com) (gcc version 3.2
.3 20030502 (Red Hat Linux 3.2.3-47)) #1 SMP Wed Dec 1 21:59:02 EST 2004
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009b800 (usable)
 BIOS-e820: 000000000009b800 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000007ff70000 (usable)
 BIOS-e820: 000000007ff70000 - 000000007ff78000 (ACPI data)
 BIOS-e820: 000000007ff78000 - 000000007ff80000 (ACPI NVS)
 BIOS-e820: 000000007ff80000 - 0000000080000000 (reserved)
 BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
 BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
 BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
 BIOS-e820: 00000000ff800000 - 00000000ffc00000 (reserved)
 BIOS-e820: 00000000fffffc00 - 0000000100000000 (reserved)
1151MB HIGHMEM available.
896MB LOWMEM available.
found SMP MP-table at 000f5d40
hm, page 000f5000 reserved twice.
hm, page 000f6000 reserved twice.
hm, page 0009b000 reserved twice.
hm, page 0009c000 reserved twice.
NX protection not present; using segment protection
On node 0 totalpages: 524144
zone(0): 4096 pages.
zone(1): 225280 pages.
zone(2): 294768 pages.
ACPI: Searched entire block, no RSDP was found.
ACPI: RSDP located at physical address c00f5da0
RSD PTR  v0 [PTLTD ]
__va_range(0x7ff73ce0, 0x28): idx=33 mapped at fffdd000
ACPI table found: RSDT v1 [PTLTD    RSDT   1540.0]
__va_range(0x7ff77e2c, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff77e2c, 0x74): idx=33 mapped at fffdd000
ACPI table found: FACP v1 [INTEL  LINDHRST 1540.0]
__va_range(0x7ff77ea0, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff77ea0, 0xa8): idx=33 mapped at fffdd000
ACPI table found: APIC v1 [PTLTD         APIC   1540.0]
__va_range(0x7ff77ea0, 0xa8): idx=33 mapped at fffdd000
LAPIC (acpi_id[0x0000] id[0x0] enabled[1])
CPU 0 (0x0000) enabledProcessor #0 Unknown CPU [15:3] APIC version 20

LAPIC (acpi_id[0x0001] id[0x6] enabled[1])
CPU 1 (0x0600) enabledProcessor #6 Unknown CPU [15:3] APIC version 20

LAPIC (acpi_id[0x0002] id[0x1] enabled[1])
CPU 2 (0x0100) enabledProcessor #1 Unknown CPU [15:3] APIC version 20

LAPIC (acpi_id[0x0003] id[0x7] enabled[1])
CPU 3 (0x0700) enabledProcessor #7 Unknown CPU [15:3] APIC version 20

IOAPIC (id[0x2] address[0xfec00000] global_irq_base[0x0])
IOAPIC (id[0x3] address[0xfec10000] global_irq_base[0x18])
IOAPIC (id[0x4] address[0xfec80000] global_irq_base[0x30])
IOAPIC (id[0x5] address[0xfec80400] global_irq_base[0x48])
INT_SRC_OVR (bus[0] irq[0x0] global_irq[0x2] polarity[0x1] trigger[0x1])
INT_SRC_OVR (bus[0] irq[0x9] global_irq[0x9] polarity[0x1] trigger[0x3])
LAPIC_NMI (acpi_id[0x0000] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0001] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0002] polarity[0x1] trigger[0x1] lint[0x1])
LAPIC_NMI (acpi_id[0x0003] polarity[0x1] trigger[0x1] lint[0x1])
4 CPUs total
Local APIC address fee00000
__va_range(0x7ff77f48, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff77f48, 0x28): idx=33 mapped at fffdd000
ACPI table found: BOOT v1 [PTLTD  $SBFTBL$ 1540.0]
__va_range(0x7ff77f70, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff77f70, 0x50): idx=33 mapped at fffdd000
ACPI table found: SPCR v1 [PTLTD  $UCRTBL$ 1540.0]
__va_range(0x7ff77fc0, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff77fc0, 0x40): idx=33 mapped at fffdd000
ACPI table found: MCFG v1 [PTLTD         MCFG   1540.0]
ACPI: Unsupported table MCFG
__va_range(0x7ff73d1c, 0x24): idx=33 mapped at fffdd000
__va_range(0x7ff73d1c, 0x3ba): idx=33 mapped at fffdd000
ACPI table found: SSDT v1 [PmRef CpuPm 0.12288]
Enabling the CPU's according to the ACPI table
Intel MultiProcessor Specification v1.4
    Virtual Wire compatibility mode.
OEM ID: INTEL    Product ID: Lindenhurst  APIC at: 0xFEE00000
I/O APIC #2 Version 32 at 0xFEC00000.
I/O APIC #3 Version 32 at 0xFEC10000.
I/O APIC #4 Version 32 at 0xFEC80000.
I/O APIC #5 Version 32 at 0xFEC80400.
Processors: 4
xAPIC support is present
Enabling APIC mode: Flat.       Using 4 I/O APICs
Kernel command line: auto BOOT_IMAGE=linux-np ro BOOT_FILE=/boot/vmlinuz-2.4.21-
32.0.1.ELsmp hda=ide-scsi root=LABEL=/ exec-shield=0 noht
ide_setup: hda=ide-scsi
Initializing CPU#0
Detected 2800.195 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 5583.66 BogoMIPS
Page-cache hash table entries: 524288 (order: 9, 2048 KB)
Page-pin hash table entries: 131072 (order: 7, 512 KB)
Dentry cache hash table entries: 262144 (order: 9, 2048 KB)
Inode cache hash table entries: 131072 (order: 8, 1024 KB)
Buffer cache hash table entries: 131072 (order: 7, 512 KB)
Memory: 2050224k/2096576k available (1710k kernel code, 41724k reserved, 1296k d
ata, 228k init, 1179072k highmem)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: bfebfbff 20000000 00000000 00000000
CPU:             Common caps: bfebfbff 20000000 00000000 00000000
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: bfebfbff 20000000 00000000 00000000
CPU:             Common caps: bfebfbff 20000000 00000000 00000000
CPU0: Intel(R) Xeon(TM) CPU 2.80GHz stepping 04
per-CPU timeslice cutoff: 2925.31 usecs.
task migration cache decay timeout: 10 msecs.
enabled ExtINT on CPU#0
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Booting processor 1/1 eip 2000
Initializing CPU#1
masked ExtINT on CPU#1
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 5596.77 BogoMIPS
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU: Physical Processor ID: 0
Intel machine check reporting enabled on CPU#1.
CPU:     After generic, caps: bfebfbff 20000000 00000000 00000000
CPU:             Common caps: bfebfbff 20000000 00000000 00000000
CPU1: Intel(R) Xeon(TM) CPU 2.80GHz stepping 04
Booting processor 2/6 eip 2000
Initializing CPU#2
masked ExtINT on CPU#2
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 5596.77 BogoMIPS
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU: Physical Processor ID: 6
Intel machine check reporting enabled on CPU#2.
CPU:     After generic, caps: bfebfbff 20000000 00000000 00000000
CPU:             Common caps: bfebfbff 20000000 00000000 00000000
CPU2: Intel(R) Xeon(TM) CPU 2.80GHz stepping 04
Booting processor 3/7 eip 2000
Initializing CPU#3
masked ExtINT on CPU#3
ESR value before enabling vector: 00000000
ESR value after enabling vector: 00000000
Calibrating delay loop... 5596.77 BogoMIPS
CPU: Trace cache: 12K uops<6>CPU: L2 cache: 1024K
CPU: Physical Processor ID: 6
Intel machine check reporting enabled on CPU#3.
CPU:     After generic, caps: bfebfbff 20000000 00000000 00000000
CPU:             Common caps: bfebfbff 20000000 00000000 00000000
CPU3: Intel(R) Xeon(TM) CPU 2.80GHz stepping 04
Total of 4 processors activated (22373.99 BogoMIPS).
ENABLING IO-APIC IRQs
Setting 2 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 2 ... ok.
Setting 3 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 3 ... ok.
Setting 4 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 4 ... ok.
Setting 5 in the phys_id_present_map
...changing IO-APIC physical APIC ID to 5 ... ok.
init IO_APIC IRQs
 IO-APIC (apicid-pin) 2-0, 2-5, 2-10, 2-11, 2-20, 2-21, 2-22, 3-2, 3-3, 3-4, 3-5
, 3-6, 3-7, 3-8, 3-9, 3-10, 3-11, 3-12, 3-13, 3-14, 3-15, 3-16, 3-17, 3-18, 3-19
, 3-20, 3-21, 3-22, 3-23, 4-0, 4-1, 4-2, 4-3, 4-4, 4-5, 4-6, 4-7, 4-8, 4-9, 4-10
, 4-11, 4-12, 4-13, 4-14, 4-15, 4-16, 4-17, 4-18, 4-19, 4-20, 4-21, 4-22, 4-23, 
5-0, 5-1, 5-2, 5-3, 5-4, 5-5, 5-6, 5-7, 5-8, 5-9, 5-10, 5-11, 5-12, 5-13, 5-14, 
5-15, 5-16, 5-17, 5-18, 5-19, 5-20, 5-21, 5-22, 5-23 not connected.
..TIMER: vector=0x31 pin1=2 pin2=0
number of MP IRQ sources: 21.
number of IO-APIC #2 registers: 24.
number of IO-APIC #3 registers: 24.
number of IO-APIC #4 registers: 24.
number of IO-APIC #5 registers: 24.
testing the IO APIC.......................

IO APIC #2......
.... register #00: 02000000
.......    : physical APIC id: 02
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00178020
.......     : max redirection entries: 0017
.......     : PRQ implemented: 1
.......     : IO APIC version: 0020
.... register #03: 00000001
.......     : Boot DT    : 1
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 000 00  1    0    0   0   0    0    0    00
 01 00F 0F  0    0    0   0   0    1    1    39
 02 00F 0F  0    0    0   0   0    1    1    31
 03 00F 0F  0    0    0   0   0    1    1    41
 04 00F 0F  0    0    0   0   0    1    1    49
 05 000 00  1    0    0   0   0    0    0    00
 06 00F 0F  0    0    0   0   0    1    1    51
 07 00F 0F  0    0    0   0   0    1    1    59
 08 00F 0F  0    0    0   0   0    1    1    61
 09 00F 0F  0    0    0   0   0    1    1    69
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 00F 0F  0    0    0   0   0    1    1    71
 0d 00F 0F  0    0    0   0   0    1    1    79
 0e 00F 0F  0    0    0   0   0    1    1    81
 0f 00F 0F  0    0    0   0   0    1    1    89
 10 00F 0F  1    1    0   1   0    1    1    91
 11 00F 0F  1    1    0   1   0    1    1    99
 12 00F 0F  1    1    0   1   0    1    1    A1
 13 00F 0F  1    1    0   1   0    1    1    A9
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 00F 0F  1    1    0   1   0    1    1    B1

IO APIC #3......
.... register #00: 03000000
.......    : physical APIC id: 03
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00178020
.......     : max redirection entries: 0017
.......     : PRQ implemented: 1
.......     : IO APIC version: 0020
.... register #03: 00000001
.......     : Boot DT    : 1
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 00F 0F  1    1    0   1   0    1    1    B9
 01 00F 0F  1    1    0   1   0    1    1    C1
 02 000 00  1    0    0   0   0    0    0    00
 03 000 00  1    0    0   0   0    0    0    00
 04 000 00  1    0    0   0   0    0    0    00
 05 000 00  1    0    0   0   0    0    0    00
 06 000 00  1    0    0   0   0    0    0    00
 07 000 00  1    0    0   0   0    0    0    00
 08 000 00  1    0    0   0   0    0    0    00
 09 000 00  1    0    0   0   0    0    0    00
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 000 00  1    0    0   0   0    0    0    00
 0d 000 00  1    0    0   0   0    0    0    00
 0e 000 00  1    0    0   0   0    0    0    00
 0f 000 00  1    0    0   0   0    0    0    00
 10 000 00  1    0    0   0   0    0    0    00
 11 000 00  1    0    0   0   0    0    0    00
 12 000 00  1    0    0   0   0    0    0    00
 13 000 00  1    0    0   0   0    0    0    00
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00

IO APIC #4......
.... register #00: 04000000
.......    : physical APIC id: 04
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00178020
.......     : max redirection entries: 0017
.......     : PRQ implemented: 1
.......     : IO APIC version: 0020
.... register #02: 04000000
.......     : arbitration: 04
.... register #03: 00000001
.......     : Boot DT    : 1
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 000 00  1    0    0   0   0    0    0    00
 01 000 00  1    0    0   0   0    0    0    00
 02 000 00  1    0    0   0   0    0    0    00
 03 000 00  1    0    0   0   0    0    0    00
 04 000 00  1    0    0   0   0    0    0    00
 05 000 00  1    0    0   0   0    0    0    00
 06 000 00  1    0    0   0   0    0    0    00
 07 000 00  1    0    0   0   0    0    0    00
 08 000 00  1    0    0   0   0    0    0    00
 09 000 00  1    0    0   0   0    0    0    00
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 000 00  1    0    0   0   0    0    0    00
 0d 000 00  1    0    0   0   0    0    0    00
 0e 000 00  1    0    0   0   0    0    0    00
 0f 000 00  1    0    0   0   0    0    0    00
 10 000 00  1    0    0   0   0    0    0    00
 11 000 00  1    0    0   0   0    0    0    00
 12 000 00  1    0    0   0   0    0    0    00
 13 000 00  1    0    0   0   0    0    0    00
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00

IO APIC #5......
.... register #00: 05000000
.......    : physical APIC id: 05
.......    : Delivery Type: 0
.......    : LTS          : 0
.... register #01: 00178020
.......     : max redirection entries: 0017
.......     : PRQ implemented: 1
.......     : IO APIC version: 0020
.... register #02: 05000000
.......     : arbitration: 05
.... register #03: 00000001
.......     : Boot DT    : 1
.... IRQ redirection table:
 NR Log Phy Mask Trig IRR Pol Stat Dest Deli Vect:   
 00 000 00  1    0    0   0   0    0    0    00
 01 000 00  1    0    0   0   0    0    0    00
 02 000 00  1    0    0   0   0    0    0    00
 03 000 00  1    0    0   0   0    0    0    00
 04 000 00  1    0    0   0   0    0    0    00
 05 000 00  1    0    0   0   0    0    0    00
 06 000 00  1    0    0   0   0    0    0    00
 07 000 00  1    0    0   0   0    0    0    00
 08 000 00  1    0    0   0   0    0    0    00
 09 000 00  1    0    0   0   0    0    0    00
 0a 000 00  1    0    0   0   0    0    0    00
 0b 000 00  1    0    0   0   0    0    0    00
 0c 000 00  1    0    0   0   0    0    0    00
 0d 000 00  1    0    0   0   0    0    0    00
 0e 000 00  1    0    0   0   0    0    0    00
 0f 000 00  1    0    0   0   0    0    0    00
 10 000 00  1    0    0   0   0    0    0    00
 11 000 00  1    0    0   0   0    0    0    00
 12 000 00  1    0    0   0   0    0    0    00
 13 000 00  1    0    0   0   0    0    0    00
 14 000 00  1    0    0   0   0    0    0    00
 15 000 00  1    0    0   0   0    0    0    00
 16 000 00  1    0    0   0   0    0    0    00
 17 000 00  1    0    0   0   0    0    0    00
IRQ to pin mappings:
IRQ0 -> 0:2
IRQ1 -> 0:1
IRQ3 -> 0:3
IRQ4 -> 0:4
IRQ6 -> 0:6
IRQ7 -> 0:7
IRQ8 -> 0:8
IRQ9 -> 0:9
IRQ12 -> 0:12
IRQ13 -> 0:13
IRQ14 -> 0:14
IRQ15 -> 0:15
IRQ16 -> 0:16
IRQ17 -> 0:17
IRQ18 -> 0:18
IRQ19 -> 0:19
IRQ23 -> 0:23
IRQ24 -> 1:0
IRQ25 -> 1:1
.................................... done.
Using local APIC timer interrupts.
calibrating APIC timer ...
..... CPU clock speed is 2800.2415 MHz.
..... host bus clock speed is 200.0171 MHz.
cpu: 0, clocks: 2000171, slice: 400034
CPU0<T0:2000160,T1:1600112,D:14,S:400034,C:2000171>
cpu: 1, clocks: 2000171, slice: 400034
cpu: 2, clocks: 2000171, slice: 400034
cpu: 3, clocks: 2000171, slice: 400034
CPU1<T0:2000160,T1:1200080,D:12,S:400034,C:2000171>
CPU2<T0:2000160,T1:800048,D:10,S:400034,C:2000171>
CPU3<T0:2000160,T1:400016,D:8,S:400034,C:2000171>
cpu_sibling_map[0] = 1
cpu_sibling_map[1] = 0
cpu_sibling_map[2] = 3
cpu_sibling_map[3] = 2
mapping CPU#0's runqueue to CPU#1's runqueue.
mapping CPU#2's runqueue to CPU#3's runqueue.
zapping low mappings.
Process timing init...done.
Starting migration thread for cpu 0
Starting migration thread for cpu 1
Starting migration thread for cpu 2
Starting migration thread for cpu 3
PCI: PCI BIOS revision 2.10 entry at 0xfd85a, last bus=7
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Ignoring BAR0-3 of IDE controller 00:1f.2
Transparent bridge - Intel Corp. 82801BA/CA/DB/EB PCI Bridge
PCI: Using IRQ router PIIX [8086/25a1] at 00:1f.0
PCI->APIC IRQ transform: (B0,I29,P0) -> 16
PCI->APIC IRQ transform: (B0,I29,P1) -> 19
PCI->APIC IRQ transform: (B0,I29,P3) -> 23
PCI->APIC IRQ transform: (B0,I31,P0) -> 18
PCI->APIC IRQ transform: (B0,I31,P1) -> 17
PCI->APIC IRQ transform: (B6,I1,P0) -> 24
PCI->APIC IRQ transform: (B6,I2,P0) -> 25
PCI->APIC IRQ transform: (B7,I1,P0) -> 16
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS not found.
Total HugeTLB memory allocated, 0
Starting kswapd
allocated 32 pages and 32 bhs reserved for the highmem bounces
VFS: Disk quotas vdquot_6.5.1
aio_setup: num_physpages = 131036
aio_setup: sizeof(struct page) = 60
Hugetlbfs mounted.
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ SER
IAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS1 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10e
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 256 RAM disks of 8192K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 7.00beta4-2.4
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
hda: HL-DT-ST GCE-8526B, ATAPI CD/DVD-ROM drive
ide1: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide-floppy driver 0.99.newide
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP: routing cache hash table of 16384 buckets, 128Kbytes
TCP: Hash tables configured (established 524288 bind 65536)
Linux IP multicast router 0.06 plus PIM-SM
Initializing IPsec netlink socket
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 253k freed
VFS: Mounted root (ext2 filesystem).
SCSI subsystem driver Revision: 1.00
libata version 1.02 loaded.
ata_piix version 1.02
ata_piix: combined mode detected
ata: 0x1f0 IDE port busy
PCI: Setting latency timer of device 00:1f.2 to 64
ata1: SATA max UDMA/133 cmd 0x170 ctl 0x376 bmdma 0x1478 irq 15
ata1: dev 0 cfg 49:2f00 82:74eb 83:7fea 84:4023 85:74e9 86:3c02 87:4023 88:203f
ata1: dev 0 ATA, max UDMA/100, 160836480 sectors: lba48
ata1: dev 1 cfg 49:2f00 82:74eb 83:7fea 84:4023 85:74e9 86:3c02 87:4023 88:203f
ata1: dev 1 ATA, max UDMA/100, 160836480 sectors: lba48
ata1: dev 0 configured for UDMA/100
ata1: dev 1 configured for UDMA/100
scsi0 : ata_piix
  Vendor: ATA       Model: HDS722580VLSA80   Rev: V32O
  Type:   Direct-Access                      ANSI SCSI revision: 05
  Vendor: ATA       Model: HDS722580VLSA80   Rev: V32O
  Type:   Direct-Access                      ANSI SCSI revision: 05
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
SCSI device sda: 160836480 512-byte hdwr sectors (82348 MB)
Partition check:
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 >
SCSI device sdb: 160836480 512-byte hdwr sectors (82348 MB)
 sdb: sdb1 sdb2
Journalled Block Device driver loaded
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 228k freed
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 22:05:46 Dec  1 2004
usb-uhci.c: High bandwidth mode enabled
PCI: Setting latency timer of device 00:1d.0 to 64
usb-uhci.c: USB UHCI at I/O 0x1400, IRQ 16
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
PCI: Setting latency timer of device 00:1d.1 to 64
usb-uhci.c: USB UHCI at I/O 0x1420, IRQ 19
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 2
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
PCI: Setting latency timer of device 00:1d.7 to 64
ehci-hcd 00:1d.7: PCI device 8086:25ad (Intel Corp.)
ehci-hcd 00:1d.7: irq 23, pci mem f889a400
usb.c: new USB bus registered, assigned bus number 3
ehci-hcd 00:1d.7: enabled 64bit PCI DMA
PCI: 00:1d.7 PCI cache line size set incorrectly (0 bytes) by BIOS/FW.
PCI: 00:1d.7 PCI cache line size corrected to 128.
ehci-hcd 00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2003-Jan-22
hub.c: USB hub found
hub.c: 4 ports detected
usb.c: registered new driver hiddev
usb.c: registered new driver hid
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,2), internal journal
Adding Swap: 2008116k swap-space (priority -1)
Adding Swap: 2008084k swap-space (priority -2)
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,7), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,17), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,18), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.19, 19 August 2002 on sd(8,6), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
hda: attached ide-scsi driver.
scsi1 : SCSI host adapter emulation for IDE ATAPI devices
  Vendor: HL-DT-ST  Model: CD-RW GCE-8526B   Rev: 1.04
  Type:   CD-ROM                             ANSI SCSI revision: 02
IA-32 Microcode Update Driver: v1.13 <tigran@veritas.com>
microcode: No suitable data for cpu 2
microcode: No suitable data for cpu 0
microcode: No suitable data for cpu 3
microcode: No suitable data for cpu 1
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
Attached scsi CD-ROM sr0 at scsi1, channel 0, id 0, lun 0
sr0: scsi3-mmc drive: 52x/52x writer cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.12
inserting floppy driver for 2.4.21-32.0.1.ELsmp
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
Intel(R) PRO/1000 Network Driver - version 5.3.19-k2-NAPI
Copyright (c) 1999-2004 Intel Corporation.
e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
divert: allocating divert_blk for eth0
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
divert: allocating divert_blk for eth1
divert: freeing divert_blk for eth0
divert: freeing divert_blk for eth1
ip_tables: (C) 2000-2002 Netfilter core team
Intel(R) PRO/1000 Network Driver - version 5.3.19-k2-NAPI
Copyright (c) 1999-2004 Intel Corporation.
e1000: eth0: e1000_probe: Intel(R) PRO/1000 Network Connection
divert: allocating divert_blk for eth0
e1000: eth1: e1000_probe: Intel(R) PRO/1000 Network Connection
divert: allocating divert_blk for eth1
ip_tables: (C) 2000-2002 Netfilter core team
e1000: eth0: e1000_watchdog: NIC Link is Up 100 Mbps Half Duplex
audit subsystem ver 0.1 initialized
Audit daemon registered (process 3024)
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,EPP]
parport0: irq 7 detected
lp0: using parport0 (polling).
lp0: console ready
usb.c: registered new driver serial
usbserial.c: USB Serial support registered for Generic
usbserial.c: USB Serial Driver core v1.4
Comment 9 Ernie Petrides 2005-10-20 01:42:45 EDT
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.6.EL).
Comment 11 Vlady 2005-10-26 04:59:07 EDT
I'll make tests with this kernel and will supply feedback
Comment 14 Red Hat Bugzilla 2006-03-15 11:21:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.